Skip to main content
PUT
/
client
/
showers
/
{id}
/
instantstart
Update instant start
curl --request PUT \
  --url https://api.orbital-systems.com/client/showers/{id}/instantstart \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "actions": [
    {
      "id": 123,
      "action": "<string>",
      "active": true,
      "day": 123,
      "time": "<string>"
    }
  ]
}
'
import requests

url = "https://api.orbital-systems.com/client/showers/{id}/instantstart"

payload = { "actions": [
{
"id": 123,
"action": "<string>",
"active": True,
"day": 123,
"time": "<string>"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actions: [{id: 123, action: '<string>', active: true, day: 123, time: '<string>'}]
})
};

fetch('https://api.orbital-systems.com/client/showers/{id}/instantstart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "actions": [
    {
      "id": 123,
      "action": "<string>",
      "active": true,
      "day": 123,
      "time": "<string>"
    }
  ]
}
{}
{}
{}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

The unique identifier for the shower

Body

application/json
actions
object[]

Response

Instant start schedule updated successfully

actions
object[]